Subject: SUMMARY sort of: OpenSSH public key authentication woes
From: Greg Rudd <[email-masked]>
To: "Karl M" <[email-masked]>
Cc: [email-masked]
Date: Tue, 27 Apr 2004 15:16:48 +1000

On Tue, 27 Apr 2004 02:12 am, Karl M wrote:
> Hi Greg...
>
> Try setting your authorized_keys to 644 for now. If that doesn't work, take
> a look at the problem reporting section on the Cygwin web page. This list
> would need more information to help further.
>
Doing the above does allow a local user to public key authenticate :-) but 
when I try to do the same thing with a domain user public key still fails but 
what is interesting is when I try to set the acl's for the .ssh directory to 
be the same as the local users the setfacl command fails with a error message 
setfacl function not implemented.  I notice that this message comes up when 
the ssh-user-config command is run for the first time.  

Is this error message occuring because the domain users home directory is 
mapped to a unc (which in this case is //machine/grudd) instead of a path 
name in the form of "/home/grudd"

Thanks in advance -

greg

Local user ACL's

$ getfacl -d .ssh
# file: .ssh
# owner: greg
# group: None
default:user::rwx
default:group::r-x
default:other:r-x

Domain user ACL's
$ getfacl -d .ssh
# file: .ssh
# owner: grudd
# group: Domain Users

CYGWIN variable

CYGWIN= tty ntea

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/